import { useState } from 'react'
import { ReferenceInput } from './index.js'

export const Single = () => {
  const [value, setValue] = useState<string>()
  return (
    <ReferenceInput
      variant="single"
      value={value}
      onChange={setValue}
      type="user"
      endpoints={{
        query: 'get-data',
        schema: 'get-schema',
      }}
    />
  )
}

export const Multiple = () => {
  const [value, setValue] = useState<string[]>()
  return (
    <ReferenceInput
      variant="multiple"
      value={value}
      onChange={setValue}
      type="user"
      endpoints={{
        query: 'get-data',
        schema: 'get-schema',
      }}
    />
  )
}
